## Function template optional_manip

boost::log::optional_manip

## Synopsis

    // In header: <boost/log/utility/manipulators/optional.hpp>

    template<typename OptionalT>
      boost::enable_if_c< is_scalar< OptionalT >::value, optional_manipulator< OptionalT, void >>::type
      optional_manip(OptionalT opt);

## Description

Optional manipulator generator function.

| Note
opt object must outlive the created manipulator object.

Parameters:

`opt` | Optional value to output. The optional value must support contextual conversion to `bool` and dereferencing, and its dereferencing result must support stream output.

Returns: | Manipulator to be inserted into the stream.